csperkins.org

Running ns-3.15 on FreeBSD-9.1

The following patch allows the ns-3 network simulator version 3.15 to compile and run on FreeBSD 9.1, with all core tests passing. The patch removes some workarounds that were needed for FreeBSD 8, but are no longer required with FreeBSD 9.

Opinions expressed are my own, and do not represent those of my employers or the organisations that fund my research.